### Function

# EBookContacts ContactName from_string

#### Declaration [src]

    EContactName*
    e_contact_name_from_string (
      const gchar* name_str
    )

#### Description [src]

Creates a new `EContactName` based on the parsed `name_str`.

#### Parameters

`name_str`

  Type: `const gchar*`

  A string representing a contact’s full name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EContactName`

A new `EContactName` struct.

The caller of the function takes ownership of the data, and is responsible for freeing it.